<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attriburtes and Links</title>
</head>
<body>
    <h2>HTML Attributes</h2>

    <!-- align attribute changes the alignment of the element -->
    <p align="center"><em>Modifiers of elements behaviors</em></p>

    <h2>HTML Images</h2>
    <p align="right">
        <em>
            An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.
        </em>
    </p>

    <!-- anchor tags -->
    <a href="https://place-puppy.com/" target="_blank"><img src="https://place-puppy.com/300x300" alt=""></a>

    <!-- adds an image using absolute linking -->
    <p>
        <code>
            &lt;img src="https://place-puppy.com/300x300"&gt;
        </code>
    </p>

    <img src="./images/zuittlogo.png">

    <!-- adds an image using relative linking -->
    <p>
        <code>
            &lt;img src="./images/zuittlogo.png"&gt;
        </code>
    </p>

    <p>Valid image extensions are the following:</p>
    <ol type="a">
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>.
    </p>

    <!-- create a hyperlink -->
    <h2>HTML Links</h2>
    
    <h4>Absolute Link</h4>
    <a href="https://zuitt.co">I'm a hyperlink</a>
    
    <h4>Relative Link</h4>
    <p>Go to <a href="./link.html">link.html</a> page.</p>

    <!-- redirects to the html element with the top id attribute -->
    <p>Go to <a href="#top">top</a></p>

</body>
</html>